<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   close="titlewindowCloseHandler(event)"  creationComplete="creationCompleteHandler(event)" 
			   title="Cadastro de Grade" xmlns:visual="br.com.desenv.framework.component.visual.*" 
			   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="GradeIncluidoEvent")]
		[Event(name="GradeAtualizadoEvent")]
		[Event(name="GradeExcluidoEvent")]
		[Event(name="GradeSelecionadoEvent")]
		
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import br.com.desenv.nepalign.vo.Grade;
			import br.com.desenv.nepalign.vo.Tamanho;
			// Alguem passa a objeto para ca
			public var grade : Grade = new Grade();
			
			[Bindable]
			private var listaTamanho17: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho11: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho1: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho12: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho10: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho15: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho16: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho13: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho14: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho3: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho2: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho5: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho4: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho7: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho6: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho9: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTamanho8: ArrayCollection = new ArrayCollection();

			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}
			
			private function limparListaCampo(): void
			{
				ignTextInputDescricao.text = "";
// Lupa
				ignAutoCompleteTamanho1.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho2.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho3.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho4.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho5.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho6.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho7.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho8.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho9.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho10.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho11.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho12.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho13.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho14.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho15.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho16.itemSelecionado = null;
// Lupa
				ignAutoCompleteTamanho17.itemSelecionado = null;
			}
			
			// Chama ao completar o carregamento da pagina
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				
				// Se e um novo cadastro
				if (this.grade.id == 0)
				{
					limparListaCampo();
				}
				// Se alguem passou o objeto
				else
				{
					ignTextInputDescricao.text = this.grade.descricao;

					
					if (this.grade.tamanho1 != null)
					{
						this.ignAutoCompleteTamanho1.itemSelecionado = grade.tamanho1;
					}

					if (this.grade.tamanho2 != null)
					{
						ignAutoCompleteTamanho2.itemSelecionado = grade.tamanho2;
					}

					if (this.grade.tamanho3 != null)
					{
						ignAutoCompleteTamanho3.itemSelecionado = grade.tamanho3;
					}

					if (this.grade.tamanho4 != null)
					{
						ignAutoCompleteTamanho4.itemSelecionado = grade.tamanho4;
					}

					if (this.grade.tamanho5 != null)
					{
						ignAutoCompleteTamanho5.itemSelecionado = grade.tamanho5;
					}

					if (this.grade.tamanho6 != null)
					{
						ignAutoCompleteTamanho6.itemSelecionado = grade.tamanho6;
					}

					if (this.grade.tamanho7 != null)
					{
						ignAutoCompleteTamanho7.itemSelecionado = grade.tamanho7;
					}
					
					if (this.grade.tamanho8 != null)
					{
						ignAutoCompleteTamanho8.itemSelecionado = grade.tamanho8;
					}

					if (this.grade.tamanho9 != null)
					{
						ignAutoCompleteTamanho9.itemSelecionado = grade.tamanho9;
					}

					if (this.grade.tamanho10 != null)
					{
						ignAutoCompleteTamanho10.itemSelecionado = grade.tamanho10;
					}

					if (this.grade.tamanho11 != null)
					{
						ignAutoCompleteTamanho11.itemSelecionado = grade.tamanho11;
					}

					if (this.grade.tamanho12 != null)
					{
						ignAutoCompleteTamanho12.itemSelecionado = grade.tamanho12;
					}

					if (this.grade.tamanho13 != null)
					{
						ignAutoCompleteTamanho13.itemSelecionado = grade.tamanho13;
					}

					if (this.grade.tamanho14 != null)
					{
						ignAutoCompleteTamanho14.itemSelecionado = grade.tamanho14;
					}

					if (this.grade.tamanho15 != null)
					{
						ignAutoCompleteTamanho15.itemSelecionado = grade.tamanho15;
					}
					if (this.grade.tamanho16 != null)
					{
						ignAutoCompleteTamanho16.itemSelecionado = grade.tamanho16;
					}

					if (this.grade.tamanho17 != null)
					{
						ignAutoCompleteTamanho17.itemSelecionado = grade.tamanho17;
					}
				}
			}
			
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- SALVAR E ATUALIZAR  --------------------------------	
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					// Se e alteracao
					if (grade.id != 0) 
					{
						grade.descricao = ignTextInputDescricao.text;
						grade.tamanho1 = this.ignAutoCompleteTamanho1.itemSelecionado as Tamanho;
						grade.tamanho2 = this.ignAutoCompleteTamanho2.itemSelecionado as Tamanho;
						grade.tamanho3 = this.ignAutoCompleteTamanho3.itemSelecionado as Tamanho;
						grade.tamanho4 = this.ignAutoCompleteTamanho4.itemSelecionado as Tamanho;
						grade.tamanho5 = this.ignAutoCompleteTamanho5.itemSelecionado as Tamanho;
						grade.tamanho6 = this.ignAutoCompleteTamanho6.itemSelecionado as Tamanho;
						grade.tamanho7 = this.ignAutoCompleteTamanho7.itemSelecionado as Tamanho;
						grade.tamanho8 = this.ignAutoCompleteTamanho8.itemSelecionado as Tamanho;
						grade.tamanho9 = this.ignAutoCompleteTamanho9.itemSelecionado as Tamanho;
						grade.tamanho10 = this.ignAutoCompleteTamanho10.itemSelecionado as Tamanho;
						grade.tamanho11 = this.ignAutoCompleteTamanho11.itemSelecionado as Tamanho;
						grade.tamanho12 = this.ignAutoCompleteTamanho12.itemSelecionado as Tamanho;
						grade.tamanho13 = this.ignAutoCompleteTamanho13.itemSelecionado as Tamanho;
						grade.tamanho14 = this.ignAutoCompleteTamanho14.itemSelecionado as Tamanho;
						grade.tamanho15 = this.ignAutoCompleteTamanho15.itemSelecionado as Tamanho;
						grade.tamanho16 = this.ignAutoCompleteTamanho16.itemSelecionado as Tamanho;
						grade.tamanho17 = this.ignAutoCompleteTamanho17.itemSelecionado as Tamanho;			
						var remoteObjectAtualizar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("gradeService", atualizarResultHandler);	
						remoteObjectAtualizar.getOperation("atualizar").send(grade); 
					} 
					else 
					{
						grade.descricao = ignTextInputDescricao.text;
						grade.tamanho1 = this.ignAutoCompleteTamanho1.itemSelecionado as Tamanho;
						grade.tamanho2 = this.ignAutoCompleteTamanho2.itemSelecionado as Tamanho;
						grade.tamanho3 = this.ignAutoCompleteTamanho3.itemSelecionado as Tamanho;
						grade.tamanho4 = this.ignAutoCompleteTamanho4.itemSelecionado as Tamanho;
						grade.tamanho5 = this.ignAutoCompleteTamanho5.itemSelecionado as Tamanho;
						grade.tamanho6 = this.ignAutoCompleteTamanho6.itemSelecionado as Tamanho;
						grade.tamanho7 = this.ignAutoCompleteTamanho7.itemSelecionado as Tamanho;
						grade.tamanho8 = this.ignAutoCompleteTamanho8.itemSelecionado as Tamanho;
						grade.tamanho9 = this.ignAutoCompleteTamanho9.itemSelecionado as Tamanho;
						grade.tamanho10 = this.ignAutoCompleteTamanho10.itemSelecionado as Tamanho;
						grade.tamanho11 = this.ignAutoCompleteTamanho11.itemSelecionado as Tamanho;
						grade.tamanho12 = this.ignAutoCompleteTamanho12.itemSelecionado as Tamanho;
						grade.tamanho13 = this.ignAutoCompleteTamanho13.itemSelecionado as Tamanho;
						grade.tamanho14 = this.ignAutoCompleteTamanho14.itemSelecionado as Tamanho;
						grade.tamanho15 = this.ignAutoCompleteTamanho15.itemSelecionado as Tamanho;
						grade.tamanho16 = this.ignAutoCompleteTamanho16.itemSelecionado as Tamanho;
						grade.tamanho17 = this.ignAutoCompleteTamanho17.itemSelecionado as Tamanho;

						var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("gradeService", salvarResultHandler);	
						remoteObjectSalvar.getOperation("salvar").send(grade); 
					}
				}	
			}

			
			// Depois que salva fecha a janela
			private function salvarResultHandler( event: ResultEvent ): void 
			{
				this.grade = event.result as Grade;
				this.dispatchEvent(new ResultEvent("GradeIncluidoEvent",false, true, this.grade, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			// Depois que atualiza fecha a janela
			private function atualizarResultHandler( event: ResultEvent ): void 
			{
				this.grade = event.result as Grade;
				this.dispatchEvent(new Event("GradeAtualizadoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- LIMPAR  --------------------------------	
			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				limparListaCampo();
			}
						
// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			protected function buttonPesquisarTamanho17_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho17PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho17PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho17: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho1.itemSelecionado = novoTamanho17;
				this.grade.tamanho17 = novoTamanho17;
			}

			protected function buttonAdicionarTamanho17_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho17IncluidoEvent", atualizarTamanho17PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho17PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho17.itemSelecionado = novoGrade;
				this.grade.tamanho17 = novoGrade;
			}
			protected function buttonPesquisarTamanho11_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho11PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho11PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho11: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho11.itemSelecionado = novoTamanho11;
				this.grade.tamanho11 = novoTamanho11;
			}

			protected function buttonAdicionarTamanho11_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho11IncluidoEvent", atualizarTamanho11PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho11PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho11.itemSelecionado = novoGrade;
				this.grade.tamanho11 = novoGrade;
			}
			protected function buttonPesquisarTamanho1_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho1PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho1PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho1: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho1.itemSelecionado = novoTamanho1;
				this.grade.tamanho1 = novoTamanho1;
			}

			protected function buttonAdicionarTamanho1_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho1IncluidoEvent", atualizarTamanho1PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho1PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho1.itemSelecionado = novoGrade;
				this.grade.tamanho1 = novoGrade;
			}
			protected function buttonPesquisarTamanho12_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho12PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho12PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho12: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho12.itemSelecionado = novoTamanho12;
				this.grade.tamanho12 = novoTamanho12;
			}

			protected function buttonAdicionarTamanho12_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho12IncluidoEvent", atualizarTamanho12PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho12PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho12.itemSelecionado = novoGrade;
				this.grade.tamanho12 = novoGrade;
			}
			protected function buttonPesquisarTamanho10_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho10PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho10PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho10: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho10.itemSelecionado = novoTamanho10;
				this.grade.tamanho10 = novoTamanho10;
			}

			protected function buttonAdicionarTamanho10_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho10IncluidoEvent", atualizarTamanho10PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho10PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho10.itemSelecionado = novoGrade;
				this.grade.tamanho10 = novoGrade;
			}
			protected function buttonPesquisarTamanho15_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho15PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho15PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho15: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho15.itemSelecionado = novoTamanho15;
				this.grade.tamanho15 = novoTamanho15;
			}

			protected function buttonAdicionarTamanho15_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho15IncluidoEvent", atualizarTamanho15PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho15PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho15.itemSelecionado = novoGrade;
				this.grade.tamanho15 = novoGrade;
			}
			protected function buttonPesquisarTamanho16_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho16PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho16PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho16: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho16.itemSelecionado = novoTamanho16;
				this.grade.tamanho16 = novoTamanho16;
			}

			protected function buttonAdicionarTamanho16_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho16IncluidoEvent", atualizarTamanho16PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho16PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho16.itemSelecionado = novoGrade;
				this.grade.tamanho16 = novoGrade;
			}
			protected function buttonPesquisarTamanho13_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho13PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho13PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho13: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho13.itemSelecionado = novoTamanho13;
				this.grade.tamanho13 = novoTamanho13;
			}

			protected function buttonAdicionarTamanho13_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho13IncluidoEvent", atualizarTamanho13PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho13PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho13.itemSelecionado = novoGrade;
				this.grade.tamanho13 = novoGrade;
			}
			protected function buttonPesquisarTamanho14_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho14PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho14PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho14: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho14.itemSelecionado = novoTamanho14;
				this.grade.tamanho14 = novoTamanho14;
			}

			protected function buttonAdicionarTamanho14_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho14IncluidoEvent", atualizarTamanho14PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho14PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho14.itemSelecionado = novoGrade;
				this.grade.tamanho14 = novoGrade;
			}
			protected function buttonPesquisarTamanho3_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho3PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho3PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho3: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho3.itemSelecionado = novoTamanho3;
				this.grade.tamanho3 = novoTamanho3;
			}

			protected function buttonAdicionarTamanho3_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho3IncluidoEvent", atualizarTamanho3PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho3PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho3.itemSelecionado = novoGrade;
				this.grade.tamanho3 = novoGrade;
			}
			protected function buttonPesquisarTamanho2_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho2PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho2PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho2: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho2.itemSelecionado = novoTamanho2;
				this.grade.tamanho2 = novoTamanho2;
			}

			protected function buttonAdicionarTamanho2_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho2IncluidoEvent", atualizarTamanho2PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho2PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho2.itemSelecionado = novoGrade;
				this.grade.tamanho2 = novoGrade;
			}
			protected function buttonPesquisarTamanho5_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho5PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho5PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho5: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho5.itemSelecionado = novoTamanho5;
				this.grade.tamanho5 = novoTamanho5;
			}

			protected function buttonAdicionarTamanho5_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho5IncluidoEvent", atualizarTamanho5PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho5PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho5.itemSelecionado = novoGrade;
				this.grade.tamanho5 = novoGrade;
			}
			protected function buttonPesquisarTamanho4_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho4PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho4PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho4: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho4.itemSelecionado = novoTamanho4;
				this.grade.tamanho4 = novoTamanho4;
			}

			protected function buttonAdicionarTamanho4_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho4IncluidoEvent", atualizarTamanho4PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho4PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho4.itemSelecionado = novoGrade;
				this.grade.tamanho4 = novoGrade;
			}
			protected function buttonPesquisarTamanho7_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho7PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho7PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho7: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho7.itemSelecionado = novoTamanho7;
				this.grade.tamanho7 = novoTamanho7;
			}

			protected function buttonAdicionarTamanho7_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho7IncluidoEvent", atualizarTamanho7PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho7PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho7.itemSelecionado = novoGrade;
				this.grade.tamanho7 = novoGrade;
			}
			protected function buttonPesquisarTamanho6_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho6PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho6PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho6: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho6.itemSelecionado = novoTamanho6;
				this.grade.tamanho6 = novoTamanho6;
			}

			protected function buttonAdicionarTamanho6_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho6IncluidoEvent", atualizarTamanho6PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho6PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho6.itemSelecionado = novoGrade;
				this.grade.tamanho6 = novoGrade;
			}
			protected function buttonPesquisarTamanho9_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho9PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho9PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho9: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho9.itemSelecionado = novoTamanho9;
				this.grade.tamanho9 = novoTamanho9;
			}

			protected function buttonAdicionarTamanho9_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho9IncluidoEvent", atualizarTamanho9PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho9PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho9.itemSelecionado = novoGrade;
				this.grade.tamanho9 = novoGrade;
			}
			protected function buttonPesquisarTamanho8_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponentePesquisa: TamanhoComponentePesquisa = new TamanhoComponentePesquisa();
				tamanhoComponentePesquisa.addEventListener("TamanhoSelecionadoEvent", atualizarTamanho8PorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponentePesquisa);
			}
			
			private function atualizarTamanho8PorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoTamanho8: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho8.itemSelecionado = novoTamanho8;
				this.grade.tamanho8 = novoTamanho8;
			}

			protected function buttonAdicionarTamanho8_clickHandler(event:MouseEvent):void
			{
				var tamanhoComponenteCadastro: TamanhoComponenteCadastro = new TamanhoComponenteCadastro();
				tamanhoComponenteCadastro.addEventListener("Tamanho8IncluidoEvent", atualizarTamanho8PorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(tamanhoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(tamanhoComponenteCadastro);
			}
			
			private function atualizarTamanho8PorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoGrade: Tamanho = e.result as Tamanho;
				ignAutoCompleteTamanho8.itemSelecionado = novoGrade;
				this.grade.tamanho8 = novoGrade;
			}

			
// ---------------------------------- PESQUISAR AUTOR ABRINDO A LISTA  --------------------------------				
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<!-- <mx:Validator id="validatorObrigatorioSituacaoGrade" property="selectedItem" required="true" source="{comboBoxSituacaoGrade}" trigger="{comboBoxSituacaoGrade}" triggerEvent="valueCommit"/> -->
		
	</fx:Declarations>
	

	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Descrição:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoDescricao" styleName="labelValidacao" text="{ignTextInputDescricao.errorString}"/>
					<visual:IgnTextInput id="ignTextInputDescricao" maxChars="20" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 01:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho1" styleName="labelValidacao" text="{ignAutoCompleteTamanho1.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho1" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho1" width="30" label="..." click="buttonPesquisarTamanho1_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho1" width="30" label="+" click="buttonAdicionarTamanho1_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 02:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho2" styleName="labelValidacao" text="{ignAutoCompleteTamanho2.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho2" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho2" width="30" label="..." click="buttonPesquisarTamanho2_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho2" width="30" label="+" click="buttonAdicionarTamanho2_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 03:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho3" styleName="labelValidacao" text="{ignAutoCompleteTamanho3.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho3" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho3" width="30" label="..." click="buttonPesquisarTamanho3_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho3" width="30" label="+" click="buttonAdicionarTamanho3_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 04:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho4" styleName="labelValidacao" text="{ignAutoCompleteTamanho4.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho4" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho4" width="30" label="..." click="buttonPesquisarTamanho4_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho4" width="30" label="+" click="buttonAdicionarTamanho4_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 05:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho5" styleName="labelValidacao" text="{ignAutoCompleteTamanho5.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho5" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho5" width="30" label="..." click="buttonPesquisarTamanho5_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho5" width="30" label="+" click="buttonAdicionarTamanho5_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 06:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho6" styleName="labelValidacao" text="{ignAutoCompleteTamanho6.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho6" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho6" width="30" label="..." click="buttonPesquisarTamanho6_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho6" width="30" label="+" click="buttonAdicionarTamanho6_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 07:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho7" styleName="labelValidacao" text="{ignAutoCompleteTamanho7.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho7" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho7" width="30" label="..." click="buttonPesquisarTamanho7_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho7" width="30" label="+" click="buttonAdicionarTamanho7_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 08:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho8" styleName="labelValidacao" text="{ignAutoCompleteTamanho8.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho8" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho8" width="30" label="..." click="buttonPesquisarTamanho8_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho8" width="30" label="+" click="buttonAdicionarTamanho8_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 09:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho9" styleName="labelValidacao" text="{ignAutoCompleteTamanho9.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho9" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho9" width="30" label="..." click="buttonPesquisarTamanho9_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho9" width="30" label="+" click="buttonAdicionarTamanho9_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 10:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho10" styleName="labelValidacao" text="{ignAutoCompleteTamanho10.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho10" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho10" width="30" label="..." click="buttonPesquisarTamanho10_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho10" width="30" label="+" click="buttonAdicionarTamanho10_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 11:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho11" styleName="labelValidacao" text="{ignAutoCompleteTamanho11.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho11" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho11" width="30" label="..." click="buttonPesquisarTamanho11_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho11" width="30" label="+" click="buttonAdicionarTamanho11_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 12:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho12" styleName="labelValidacao" text="{ignAutoCompleteTamanho12.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho12" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho12" width="30" label="..." click="buttonPesquisarTamanho12_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho12" width="30" label="+" click="buttonAdicionarTamanho12_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 13:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho13" styleName="labelValidacao" text="{ignAutoCompleteTamanho13.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho13" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho13" width="30" label="..." click="buttonPesquisarTamanho13_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho13" width="30" label="+" click="buttonAdicionarTamanho13_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 14:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho14" styleName="labelValidacao" text="{ignAutoCompleteTamanho14.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho14" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho14" width="30" label="..." click="buttonPesquisarTamanho14_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho14" width="30" label="+" click="buttonAdicionarTamanho14_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 15:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho15" styleName="labelValidacao" text="{ignAutoCompleteTamanho15.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho15" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho15" width="30" label="..." click="buttonPesquisarTamanho15_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho15" width="30" label="+" click="buttonAdicionarTamanho15_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 16:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho16" styleName="labelValidacao" text="{ignAutoCompleteTamanho16.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho16" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho16" width="30" label="..." click="buttonPesquisarTamanho16_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho16" width="30" label="+" click="buttonAdicionarTamanho16_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tamanho 17:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTamanho17" styleName="labelValidacao" text="{ignAutoCompleteTamanho17.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="descricao" id="ignAutoCompleteTamanho17" enviarArgumentos="true" destino="tamanhoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="0"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Tamanho" tabEnabled="true" mostrarCodigoConcatenado="false"/>
						<s:Button id="buttonPesquisarTamanho17" width="30" label="..." click="buttonPesquisarTamanho17_clickHandler(event)"/>
						<s:Button id="buttonAdicionarTamanho17" width="30" label="+" click="buttonAdicionarTamanho17_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>



		</mx:GridRow>		
		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Button id="buttonSalvar" label="Salvar" click="buttonSalvar_clickHandler(event)"/>
				<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>